%% See README.writers
%%
\section{Video Team}

The video team live-streams DebConf sessions over the Internet to remote
participants. The sessions are also recorded, transcoded, and published
in the
\href{http://meetings-archive.debian.net/pub/debian-meetings/}{Debian
Meetings Archive}.

The equipment was entirely operated by volunteers from amongst the
conference attendees. Video was edited live during the session, for
both the stream and the recording. This allowed for timely publishing
of recordings, as there was very little manual post-production work.

Once again this year, all three main session rooms had video coverage.
Most of the talks in these rooms were recorded. The ones that were not
either got scheduled too late for it to happen, or the speaker asked for
them not to be. This also means the sessions that happened in the two
dedicated BoF rooms where not recorded.

\subsection{Preparation and Equipment}

DebConf17 was the first year of our brand new video setup. Most if not
all our setup and a large part of our gear was replaced for DC17.

Whereas we used to run FAI (Fully Automated Installation) to image and
manage the configuration on our machines, we switched to Ansible during
a sprint in Paris in November 2016. DebConf17 was thus our first
multiple rooms production setup with this new system.

During DC16 we tested Voctomix - a new live mixing software developed by
the CCC VOC team. For DC17, we were able to completely transition from
our old digital video (DV) setup to this more modern one.

This was made possible by the purchase of new cameras. The old ones were
starting to fall apart and had to be replaced. Using these new cameras,
we were also able to ditch Firewire as a primary connection to our
mixing PCs in favor of SDI, a much more reliable alternative.

Each room was equipped with two high quality cameras for respectively
tracking the speaker and the audience. The video feed from the speaker's
laptop was shown on the rooms projectors and recorded using Numato Opsis
boxes running HDMI2USB, a project we have been supporting for two years
now. The project is definitely moving in the right direction, as we had
a much better experience with them then at DC16.

For sound, each room was equipped with two wireless headset microphones
for the speakers and two wireless hand-held microphones for audience
questions. A pair of wired “ambiance” microphones gave the video a less
sterile sound. They also caught some questions and audience discussion
from people who did not wait for hand-held microphones to be brought to
them. Since a large part of our audio gear is old and in rough shape, we
had to rent most of the audio gear we needed.

All in all, the switch to Voctomix and to the new cameras made it
possible for all the talks to be streamed and recorded in 720p this
year, a leap from our previous 480p video resolution.

We also replaced our streaming system by something more stable this
year. We used to stream videos using \href{http://icecast.org/}{Icecast}
and \href{http://git.sesse.net/?p=cubemap}{cubemap}, but switched to
\href{https://packages.debian.org/stretch-backports/libnginx-mod-rtmp}{nginx RTMP}
and \href{https://en.wikipedia.org/wiki/HTTP\_Live\_Streaming\#Clients}{HLS (HTTPS Live Streaming)}.
The overall result was a much more enjoyable experience for the people
who could not make it to the conference, as the uptime was better and
we were able to offer 3 streams with different qualities.

Finally, we replaced our previous reviewing system by
\href{https://github.com/yoe/sreview}{SReview}, an experimental software
developed by one of the video team member. It ended up causing up some
problems, mainly because it was new to us and we were not familiar with
some of its quirks. The people who reviewed the videos were able to give
us some interesting feedback and it will surely have improved a lot for
DC18.

\subsection{Outcome}

Learning from previous experiences, the global team worked quite hard
this year to ensure that we had a proper volunteering system in place.
This system was quite essential to make it easy for volunteers to help
the core team record all sessions. All members of the core video team
were able to make it this year, and relied on volunteers to operate
equipment during the conference.

A very large portion of the videos were processed and released without
issues. The remainder needed further editing, mostly due to quality
problems. They were published over the course of the following weeks.

During the conference, we recorded 6.1 TiB of footage. After cutting and
editing 107 videos were produced and published in the
\href{http://meetings-archive.debian.net/pub/debian-meetings/2017/debconf17/}{archive},
for a total of 68 hours of video.

\Person{pollo}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "dc17-report.en"
%%% End: 
